Firefox freeze/crashing with using YouTube with Dual Monitor setup.

RESOLVED INCOMPLETE

Status

()

--
critical
RESOLVED INCOMPLETE
3 years ago
3 years ago

People

(Reporter: bnestor151, Unassigned, NeedInfo)

Tracking

({crash, hang})

38 Branch
Unspecified
Windows
crash, hang
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

3 years ago
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:38.0) Gecko/20100101 Firefox/38.0
Build ID: 20150513174244

Steps to reproduce:

Firefox seems to freeze most the time if I do any of the following so i have to force restart it.

-If i move a Youtube video page I'm watching (even if paused) to my second monitor or back.
-Change my Youtube quality settings, not always, but sometimes it ever stops doing anything. Or the buffer bar keeps going and even buffers the entire video but refuses to play until I restart firefox.
-If I have two video tabs open and have one of them paused, it doesn't always freeze firefox right away. But if I do try to do anything like pause, rewind, skip, ect. It will freeze ff.


Actual results:

Im guessing this is all the same issue because If I have hardware acceleration on then Youtube tends to crash or stall FF from the above. Especially because it dosnt seem to like me having a video playing on my dual monitors setup. But at least when it works on a rare occasion I don't have any other issues. 

Then if I turn hardware acceleration off, Youtube runs really smoothly and dosnt crash any more.. But then it uses like up to 30% to 50% of my cpu power just to watch a video.

It seems to have all started happening in the last few weeks/months since the last few firefox updates. Im guessing something to do with HTML5?
Also to note my Drivers an everything like that are fully upto date.


Expected results:

What should be happening is, that i should be able to use hardware acceleration for youtube without Firefox Freezing. And my dual monitor setup shouldn't cause FF to freeze if I move it from one screen to the other.

Updated

3 years ago
Severity: normal → critical
Component: Untriaged → Graphics
Keywords: hang
OS: Unspecified → Windows
Product: Firefox → Core
Thank you for filing this bug report. Can you please provide a copy of your about:support page? Also, please provide the IDs of any crash/hang reports from about:crashes.

Thanks
Flags: needinfo?(bnestor151)
(Reporter)

Comment 2

3 years ago

Thanks for looking into this, below is the about:support page followed by the about:crashes as requested. Just for further information so your aware, I have tried disabling all Extensions and I still have the same issues present.


Also my OS, since it seem to not be listed, is: Windows 8.1 Pro 64-bit. Anything else you might require please let me know.

Thanks


about:support
---------------------------------

Application Basics
------------------

Name: Firefox
Version: 39.0
Build ID: 20150630154324
Update Channel: release
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:39.0) Gecko/20100101 Firefox/39.0
Multiprocess Windows: 0/2 (default: false)

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports

Extensions
----------

Name: Adblock Plus
Version: 2.6.9.1-signed
Enabled: true
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: DownThemAll!
Version: 2.0.18.1-signed
Enabled: true
ID: {DDC359D1-844A-42a7-9AA1-88A850A938A8}

Name: Ghostery
Version: 5.4.6
Enabled: true
ID: firefox@ghostery.com

Name: Google Translator for Firefox
Version: 2.1.0.5.1
Enabled: true
ID: translator@zoli.bod

Name: YouTube Center
Version: 2.1.0.1-signed
Enabled: true
ID: jid1-cwbvBTE216jjpg@jetpack

Name: Flashblock
Version: 1.5.18.1-signed
Enabled: false
ID: {3d7eb24f-2740-49df-8937-200b1cc08f8a}

Graphics
--------

Adapter Description: AMD Radeon R9 200 Series
Adapter Drivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 4095
Asynchronous Pan/Zoom: none
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ]
Device ID: 0x67b1
DirectWrite Enabled: false (6.3.9600.17795)
Driver Date: 11-20-2014
Driver Version: 14.501.1003.0
GPU #2 Active: false
GPU Accelerated Windows: 0/2 Basic (OMTC)
Subsys ID: 22901458
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon R9 200 Series Direct3D11 vs_5_0 ps_5_0)
windowLayerManagerRemote: true
AzureCanvasBackend: skia
AzureContentBackend: cairo
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 3
browser.download.importedFromSqlite: true
browser.download.manager.alertOnEXEOpen: true
browser.places.smartBookmarksVersion: 7
browser.sessionstore.upgradeBackup.latestBuildID: 20150630154324
browser.startup.homepage_override.buildID: 20150630154324
browser.startup.homepage_override.mstone: 39.0
browser.tabs.warnOnClose: false
dom.mozApps.used: true
extensions.lastAppVersion: 39.0
gfx.direct2d.disabled: true
gfx.direct3d.last_used_feature_level_idx: 0
layers.acceleration.disabled: true
media.gmp-eme-adobe.lastUpdate: 1434424559
media.gmp-eme-adobe.version: 11
media.gmp-gmpopenh264.lastUpdate: 1431776214
media.gmp-gmpopenh264.version: 1.4
media.gmp-manager.buildID: 20150630154324
media.gmp-manager.lastCheck: 1437590065
network.cookie.prefsMigrated: true
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1437196985
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugin.state.flash: 1
privacy.cpd.offlineApps: true
privacy.donottrackheader.enabled: true
privacy.sanitize.migrateFx3Prefs: true
privacy.sanitize.timeSpan: 0
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1435722806

Important Locked Preferences
----------------------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.10.8
Version in use: 4.10.8

NSS
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSSMIME
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSSSL
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSUTIL
Expected minimum version: 3.19.2
Version in use: 3.19.2

Experimental Features
---------------------



about:crashes
---------------


Report ID 	Date Submitted
bp-26fe1716-6b9a-4434-9d84-2c96b2150703
	7/3/2015	6:24 PM
bp-9ce930ce-56df-4704-8e15-4f8fb2150630
	6/30/2015	12:36 PM
bp-902fca26-d69c-4d36-9a0f-660742150627
	6/27/2015	6:31 PM
bp-5fe469cd-4474-40ca-bcce-a2e9d2150627
	6/27/2015	3:49 PM
bp-96f8a45e-6841-4977-a934-775752150626
	6/26/2015	11:36 AM
bp-d6409ba8-599c-4e86-8393-a700b2150625
	6/25/2015	12:24 PM
bp-05aad666-8e0e-4a88-9caa-ec16d2150621
	6/21/2015	3:20 PM
bp-441adfbb-bb9c-4ff4-b037-38c442150621
	6/21/2015	3:18 PM
bp-8e32b637-84ef-4bb6-a9e2-2f3082150619
	6/19/2015	12:14 PM
bp-9ed7cc46-dcab-410a-acd3-0f22f2150618
	6/18/2015	10:05 AM
bp-822f2172-2296-4189-af12-bc96d2150617
	6/18/2015	12:59 AM
bp-8601334f-f66c-468a-bf3a-9067f2150616
	6/16/2015	5:41 PM
bp-e5b1b0c9-3a11-415b-b8ae-afb012150616
	6/16/2015	1:30 PM
bp-929affaa-1142-425f-86f2-86f862150612
	6/13/2015	1:26 AM
bp-bd86e05a-665b-4796-956d-62f192150612
	6/13/2015	1:20 AM
bp-0aaf5381-cc6b-4202-a9e8-c48b62150610
	6/10/2015	3:19 PM
bp-56e24034-9d44-4b5a-b6c0-016232150605
	6/5/2015	12:41 PM
bp-7b8a7ce6-9ac2-4219-8ee1-753502150604
	6/5/2015	2:31 AM
bp-b910d994-2861-424c-801a-df1282150603
	6/4/2015	1:18 AM
bp-15ceed59-588d-4f8b-b176-561742150527
	5/28/2015	6:35 AM
bp-60473ca8-596c-4180-9b59-2b75e2150525
	5/25/2015	11:29 PM
bp-8fe90c39-d4a4-407c-93bb-48b672150523
	5/23/2015	10:15 AM
81f7798b-feb4-4bf9-b0aa-da5cfe035301
	4/21/2015	12:08 PM
f3466d04-82aa-4bf4-81d2-a71b865b6a73
	4/21/2015	8:37 AM
bp-38bac20e-f8ee-4e8e-92a7-a3ff92150130
	1/30/2015	7:54 PM
3e71d35c-8d5e-4c0c-867f-39057c1e350b
	1/29/2015	3:52 PM
a44e56f4-dde7-471e-81a7-9a2847feb9bc
	1/29/2015	12:42 PM
caf2e73b-6c58-451a-8b2c-6fc384929da7
	1/16/2015	1:57 AM
8997029a-1042-463b-8d4e-a1722602043b
	1/14/2015	4:46 PM
79eb0400-aef4-47f7-b77e-ed173383be7b
	1/14/2015	1:29 AM
ef2e9a60-d848-444e-b9cd-3dc337bd1106
	11/12/2014	4:49 PM
eb496df2-0e6d-4381-9191-d90ec6ee0717
	11/8/2014	4:38 PM
3bed64b7-8acc-4937-8d22-cf0aee0db13c
	11/6/2014	4:42 PM
21929f47-e132-47f7-a4b2-920a8c6a9574
	11/4/2014	7:08 PM
818ca6dd-d45c-4189-951b-c9c8906bd23c
	10/16/2014	11:07 PM
a252c8cc-86a6-44a9-b881-964988250cac
	8/28/2014	8:42 PM
bp-642cb029-3494-46cb-b4d3-c89292140826
	8/26/2014	6:03 PM
2c8dd93b-2a99-4fc5-b95c-b6c1e55af4a4
	8/20/2014	11:19 PM
765b5e39-9895-4706-a851-7f95b3850bae
	8/11/2014	10:59 PM
481d385d-5010-4a42-8025-1fc71f43e7ac
	8/7/2014	8:52 PM
f53ffc22-de04-48d6-85e4-e1cba4e64173
	8/6/2014	7:40 AM
6b5439db-c465-4775-9ec7-0c7f12a81f61
	8/5/2014	9:49 PM
759b172d-d8e9-4a54-a418-5848264c97a0
	7/27/2014	3:35 AM
8b236932-e8ae-4f66-a404-70964e4d5df9
	7/1/2014	4:50 PM
00cc15b2-91ec-4685-8e3e-7a45a104e90f
	6/13/2014	10:44 PM
0d4a4c73-5f02-409e-a167-386ecd4cb6ac
	5/19/2014	11:33 PM
498bdd30-c500-4d3b-860b-1f9d38d0bba0
	5/11/2014	1:55 AM
0653c128-048b-49b8-b565-adc7c7adc054
	3/12/2014	6:28 PM
039558f9-6e52-4386-878e-f6f09f0cfe34
	3/12/2014	6:28 PM
45547307-cb08-4815-8873-d7051100dcf4
	3/1/2014	2:04 AM
Flags: needinfo?(bnestor151)

Updated

3 years ago
Crash Signature: [@ mozilla::MediaPromise<T>::Private::Reject(mozilla::MediaDecoderReader::NotDecodedReason, char const*) ] [@ mozilla::MediaPromise<T>::Private::Resolve(nsRefPtr<T>, char const*) ]
Keywords: crashreportid
Thanks for the information, I have a couple more requests.

First, it looks like you're using an out of date graphics driver. Please update it and see if that resolves the issue for you.

Second, I know you said you ruled out Add-ons as the problem but I'd still like you to test with a new Firefox profile to rule out any profile related issues. You can read more about this here: https://support.mozilla.org/en-US/kb/profile-manager-create-and-remove-firefox-profiles
Keywords: crashreportid → crash
Component: Graphics → Audio/Video
Can you try this in nightly?
Flags: needinfo?(bnestor151)
Component: Audio/Video → Audio/Video: Playback

Updated

3 years ago
Crash Signature: [@ mozilla::MediaPromise<T>::Private::Reject(mozilla::MediaDecoderReader::NotDecodedReason, char const*) ] [@ mozilla::MediaPromise<T>::Private::Resolve(nsRefPtr<T>, char const*) ] → [@ mozilla::MediaPromise<T>::Private::Reject(mozilla::MediaDecoderReader::NotDecodedReason, char const*) ] [@ mozilla::MediaPromise<T>::Private::Resolve(nsRefPtr<T>, char const*) ] [@ mozilla::MediaPromise<T>::Private::Reject ] [@ mozilla::MediaPromise…
No response after several months. Closing.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.